Bug 193176 - ping6 -c1 never exits for unresponsive host
Summary: ping6 -c1 never exits for unresponsive host
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: 10.0-STABLE
Hardware: Any Any
: --- Affects Some People
Assignee: Hiroki Sato
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-30 19:47 UTC by Christian Weisgerber
Modified: 2015-12-20 21:22 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Weisgerber freebsd_committer 2014-08-30 19:47:22 UTC
"ping6 -c1 <unresponsive host>" now never terminates.  It just sits there forever waiting for a reply.  This behavior is new with r269800 in 10-STABLE.  Previously,
ping6 would exit if there was no reply within about a second.
Comment 1 heliocentric 2015-12-20 21:18:32 UTC
Fixed in r272871 and merged into 10.2-RELEASE.
Comment 2 Enji Cooper freebsd_committer 2015-12-20 21:22:13 UTC
Fixed by hrs@ in the following commit:

------------------------------------------------------------------------
r271909 | hrs | 2014-09-20 11:48:50 -0700 (Sat, 20 Sep 2014) | 5 lines

Revert changes in r269180.  It could cause -c N option to enter an
infinite loop if no reply packet is received.

PR:     151023